ABB MicroSCADA Wserver Buffer Overflow Exploit

This vulnerability is a buffer overflow and allows remote attackers to execute arbitrary code on vulnerable installations of ABB MicroSCADA Wserver without authentication. The specific flaw exists within the wserver.exe component which listens on TCP port 12221. This component performs insufficient bounds checking on user-supplied data which results in stack buffer ovreflow.
Exploit type: 
Platform: 
Vulnerabilty ID: 
NOCVE-9999-61094
Product Version: 
2013_R2
Released Date: 
Friday, December 13, 2013 - 00:00